=== debian/changelog ===
python-xarray (2025.10.1-1) unstable; urgency=medium

  * New upstream release
  * xfails-that-break-pytest.patch: fixed upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 12:37:31 +0100
