=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Alastair McKinstry <mckinstry@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pip <!nodoc>,
               python3-pooch,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-dask-doc <!nodoc>,
               python3-sphinxcontrib-mermaid <!nodoc>,
               python3-sphinx-remove-toctrees <!nodoc>,
               python3-autodocsumm <!nodoc>,
               python3-jupyter-sphinx <!nodoc>,
               python3-all,
               python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
               python3-h5netcdf <!nocheck>,
               python3-toolz <!nocheck>,
               python3-pickleshare <!nodoc>,
               python3-hypothesis <!nocheck>,
               python-hypothesis-doc <!nodoc>,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask <!nocheck> <!nodoc>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python-matplotlib-doc <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy,
               python3-numpydoc <!nocheck> <!nodoc>,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-mypy <!nocheck>,
               mypy <!nocheck>,
               tzdata-legacy <!nocheck>,
               python3-pint <!nocheck>,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxext-opengraph  <!nodoc>,
               python3-sphinxext-rediraffe <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-inline-tabs <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-book-theme <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               pandoc <!nodoc>,
               ipython3 <!nodoc>,
               python3-jupyter-console <!nodoc>,
               python3-jupyter-core <!nodoc>,
               python3-jupyter-client <!nodoc>,
               python3-packaging
Build-Conflicts: python3-pint (<= 0.21~1),
                 python3-pytest-lazy-fixture,
                 python3-xarray-datatree
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: https://xarray.pydata.org/
Rules-Requires-Root: no

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas,
         python3-jinja2,
         python3-packaging
Recommends: python3-bottleneck,
            python3-dask,
            python3-cftime,
            python3-netcdf4,
            python3-rasterio,
            python3-h5netcdf,
            python3-zarr
Suggests: python-xarray-doc <!nodoc>,
          python3-cartopy,
          python3-matplotlib,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>
