## python-xarray 2025.11.0

=== debian/changelog ===
python-xarray (2025.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Nov 2025 09:17:44 +0000
