## python-xarray 2025.12.0

=== debian/changelog ===
python-xarray (2025.12.0-5) unstable; urgency=medium

  * Team upload.
  * Build without docs and tests (for now) so that we get a successful build.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 18:11:10 +1100

python-xarray (2025.12.0-4) unstable; urgency=medium

  * Team upload.
  * Ensure sphinx.ext.autosummary is loaded to prevent ftbfs.
  * Refresh other patches to remove fuzz.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 16:33:17 +1100

python-xarray (2025.12.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to solve some indexing problems that
    break python-rioxarray (Closes: #1123307) and sarsen (Closes: #1123338)
  * Add missing build-dep on python3-zarr.
  * Fix inconsistent whitespace in d/control with wrap-and-sort.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 14:40:18 +1100

python-xarray (2025.12.0-2) unstable; urgency=medium

  * pr-11210.patch: Upstream bugfix. Thanks Antonio Valentino
      Closes: #1123151, #1123338, #1123160
  * Use sphinxdoc
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 14:24:37 +0000

python-xarray (2025.12.0-1) unstable; urgency=medium

  * New upstream release
  * Typo in Use-packaged-docs.patch breaks build
  * Docs now build : rm-iris.patch
  * Re-include python3-sparse when building docs
  * Build this release with 'nocheck' : multiple failures due to
    missing packages in 3.14 transition
  * Build 'nodoc' this release : build fails attempting downloads
    when building docs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Dec 2025 11:50:39 +0000
