## python-xarray 2026.01.0

=== debian/changelog ===
python-xarray (2026.01.0-2) unstable; urgency=medium

  * Drop sparse as #1123313 is blocking upgrades

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Feb 2026 05:29:32 +0000

python-xarray (2026.01.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Jan 2026 07:53:09 +0000
