## python-xarray 2026.02.0

=== debian/changelog ===
python-xarray (2026.02.0-1) experimental; urgency=medium

  * New upstream release
  * Patches refreshed; indexing-11044.patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 05:54:32 +0000
