=== debian/control ===
--- 
+++ 
@@ -52,7 +52,6 @@
  python3-seaborn <!nocheck> <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sparse,
  python3-sphinx <!nodoc>,
  python3-sphinx-book-theme <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
